Description: Don't install LICENSE, require debian-menu
Author: Julien Danjou <acid@debian.org>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: http://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: <YYYY-MM-DD>

--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -35,8 +35,7 @@
 set(AWE_DOC_FILES
     ${AWE_DOC_DIR}/00-authors.md
     ${AWE_DOC_DIR}/01-readme.md
-    ${AWE_DOC_DIR}/02-contributing.md
-    ${SOURCE_DIR}/LICENSE)
+    ${AWE_DOC_DIR}/02-contributing.md)
 
 set(AWE_SRCS
     ${BUILD_DIR}/awesome.c
--- a/awesomerc.lua
+++ b/awesomerc.lua
@@ -12,6 +12,9 @@
 local menubar = require("menubar")
 local hotkeys_popup = require("awful.hotkeys_popup").widget
 
+-- Load Debian menu entries
+require("debian.menu")
+
 -- {{{ Error handling
 -- @DOC_ERROR_HANDLING@
 -- Check if awesome encountered an error during startup and fell back to
@@ -45,8 +48,8 @@
 
 -- @DOC_DEFAULT_APPLICATIONS@
 -- This is used later as the default terminal and editor to run.
-terminal = "xterm"
-editor = os.getenv("EDITOR") or "nano"
+terminal = "x-terminal-emulator"
+editor = os.getenv("EDITOR") or "editor"
 editor_cmd = terminal .. " -e " .. editor
 
 -- Default modkey.
@@ -105,6 +108,7 @@
 }
 
 mymainmenu = awful.menu({ items = { { "awesome", myawesomemenu, beautiful.awesome_icon },
+                                    { "Debian", debian.menu.Debian_menu.Debian },
                                     { "open terminal", terminal }
                                   }
                         })
